# Uses of Interface
com.sun.source.tree.PatternCaseLabelTree

Packages that use PatternCaseLabelTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of PatternCaseLabelTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type PatternCaseLabelTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitPatternCaseLabel(PatternCaseLabelTree node, P p)`
Visits a `PatternCaseLabelTree` node.

## Uses of PatternCaseLabelTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type PatternCaseLabelTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitPatternCaseLabel(PatternCaseLabelTree node, P p)`
Visits a `PatternCaseLabelTree` node.
`R`
TreeScanner.`visitPatternCaseLabel(PatternCaseLabelTree node, P p)`
Visits a `PatternCaseLabelTree` node.